/// <reference types="react" />
import { IFlowStepSequence } from "./IFlowStepSequence";
import { FlowStepSequence } from "./FlowStepSequence";
export declare class BranchMergeSequence implements IFlowStepSequence {
    readonly sequenceType = "branch_merge";
    _id: string;
    branches: FlowStepSequence[];
    name: string;
    desiredX: number;
    desiredY: number;
    x: number;
    y: number;
    constructor(name: string, desiredX: number, desiredY: number);
    getElementId(): string;
    renderEditUI(): JSX.Element | null;
    reset(): void;
}
